take_while.hpp File Reference

Forward declares `boost::hana::take_while`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::take_while
| Take elements from a sequence while the `predicate` is satisfied.Specifically, `take_while` returns a new sequence containing the longest prefix of `xs` in which all the elements satisfy the given predicate. More...

## Detailed Description

Forward declares `boost::hana::take_while`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)